Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455963 - Tajik Language (Anaconda)
Summary: Tajik Language (Anaconda)
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 9
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-19 12:54 UTC by Victor Ibragimov
Modified: 2009-09-21 20:56 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-02-16 20:18:32 UTC


Attachments (Terms of Use)

Description Victor Ibragimov 2008-07-19 12:54:49 UTC
Description of problem:

NEW: Tajik Language added to anaconda module (Master branch). There is no Tajik
language support for anaconda PO/POT files. 

Expected results:

To add Tajik language support.

Additional info:
Identical to comps issue see bug 455695, bug 455745, bug 455796, bug 453770

Comment 1 Chris Lumens 2008-10-09 16:03:15 UTC
We can do this just as soon as the keyboard situation is settled.

Comment 2 Chris Lumens 2008-10-23 15:10:05 UTC
If you could give me the following information, I can commit this:

- console font to use
- X font to use
- keyboard layout/options/etc.
- timezone

Comment 3 Victor Ibragimov 2008-10-27 08:16:39 UTC
-----------------------------------------------
- Console font and X font to use:

Any of the unicode (utf-8) fonts with the special characters can be used for Tajik language support.

-----------------------------------------------
- Keyboard layout/options/etc.

Two keyboard layout options:

1) Tajikistan - Standard

Description of the layout:
Standard Tojiki Keyboard Layout by Tojik Standard Agency
Date: 12 October, 2008 - Dushanbe, Tajikistan
Created by Victor Ibragimov <victor.ibragimov@gmail.com>
For Tajik Fedora & Software Localization Team
The Standard Tojiki Keyboard Layout is based on Russian Keyboard with the replacement of keys:
AB07 Cyrillic_softsign "ь Ь" by AB07 "ӣ Ӣ"
AC02 Cyrillic_yeru "ы Ы " by AC02 "ҷ Ҷ "
AD02 Cyrillic_tse "ц Ц" by AD02 "қ Қ"
AD09 Cyrillic_shcha "щ Щ" by AD09 "ҳ Ҳ"
AE11 Minus, Underscore "- _" by AE11 "ғ Ғ"
AE12 Equal, Plus "= +" by AE12 "ӯ Ӯ"


2) Tajikistan - Legacy

Description of the layout:
AEN <aen@logic.ru>
2001/12/23 by Leon Kanter <leon@blackcatlinux.com>
2005/12/09 Valery Inozemtsev <shrek@altlinux.ru>
Pablo Saratxaga <pablo@mandrakesoft> (for the dead keys changes)
Based on Tajik keyboard. It is a Russian layout keyboard, with SHCHA replaced with 
dead_cedilla/dead_macron, that allows to type the SHCHA with dead_cedilla + SHA
and all the extra Tajik keys:
dead_cedilla + KA, HA --> KA descender, HA descender
dead_macron + I, U, GHE --> I macron, U macron, GHE horizontal stroke
it requires proper dead_cedilla and dead_macron entries in Compose file
it also allows to use Mode_switch when in cyrillic mode to enter
special letters by doing Mode_switch + base letter
-----------------------------------------------

- Timezone

Dushanbe, Asia/Tajikistan (TJ)
-----------------------------------------------

Comment 5 Chris Lumens 2008-12-05 17:55:53 UTC
This should be supported in the next version of anaconda.  Please give it a try and let us know if the keyboard or language settings are not quite right.

Comment 6 Victor Ibragimov 2008-12-06 08:07:42 UTC
Thank you Chris, I will provide comments for the Tajik keyboard and language settings after we duly test the current version of Fedora.

Comment 7 Victor Ibragimov 2008-12-09 15:31:52 UTC
I have installed both Fedora Gnome&KDE, language settings are ok.
Tajik keyboard is not working...

Comment 8 Chris Lumens 2009-02-16 20:18:32 UTC
Martin committed a patch for various keyboard layout fixes not too long ago.  Please try again with F10 beta.


Note You need to log in before you can comment on or make changes to this bug.